package com.frame.rv;

public interface OnModuleEventListener {
    int MODULE_HOME = 0;
    int MODULE_TRAVEL = 1;
    int MODULE_CAMP = 2;
    int MODULE_FIND = 3;
    int MODULE_MINE = 4;

    //模块切换
    void onChanged(int module);

    //当前模块首页的Activity被销毁
    void onClear();

    int MODULE_LOGIN_START = 10; //开始登录
    int MODULE_LOGIN_FINISH = 11; //登录结束

    //需要登录、登录结束
    void onLogin(int type);

    int MODULE_PAY_START = 20; //开始支付
    int MODULE_PAY_FINISH = 21; //支付结束
    //需要支付、支付结束
    void onPay(int type);
}
